Redmine - Feature #3398

Link to assigned issues on user profiles
2009-05-20 19:55 - Rafal W.

Status: Closed Start date: 2009-05-20
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 3.2.0

Resolution: Fixed

Description

How can | list assigned issues to the specified user?
| know that | can see it on Issues tab and sort that, but if you have too many, you can't find them.
Logically thinking should be on User Profile account/show/%, but it isn't.

Related issues:

Related to Redmine - Patch #19548: Add link to reported issues on users's pro... Closed
Related to Redmine - Feature #8153: List assigned issues in user profile page Closed
Related to Redmine - Defect #26078: List of issues per assignee doesn't match... Closed
Related to Redmine - Defect #3835: user account page should only show reporte... Closed

2011-04-14

2009-09-08

Associated revisions

Revision 14717 - 2015-10-21 18:26 - Jean-Philippe Lang

Link to assigned issues on user profiles (#3398).

Patch by Go MAEDA.

Revision 14718 - 2015-10-21 18:26 - Jean-Philippe Lang

Adds label_assigned_issues string to locales (#3398).

Revision 14721 - 2015-10-21 19:04 - Jean-Philippe Lang

Wrong filter value for assigned issues (#3398).

Revision 14722 - 2015-10-21 20:01 - Jean-Philippe Lang

Add users to assignee/author filters if they are missing (#3398).

History

#1 - 2009-05-20 20:35 - Nanda P
- File redmine3398.JPG added

Are you looking for this option?

redmine3398.JPG
If I understood well. you can create custom queries with this..

HTH

#2 - 2009-05-20 20:39 - Rafal W.

Ah, yes, thanks, it will be lot easier.

But it's possible to include on profile user what tasks are assigned to him?

Sometimes you want to go to user profile from Issue Page to check what tasks has been assigned to him.
It's a feature?

#3 - 2009-09-05 21:31 - Greg Mefford

Rafal W. wrote:

But it's possible to include on profile user what tasks are assigned to him?
Maybe something like PluginStuffToDo would help?

#4 - 2010-01-11 18:39 - Tom Rochette

Redmine offers the possibility to add a block to the user's page which list all of it's assigned task. The only problem you might have is that is defined
as a per-user basis, meaning that each users decide whether or not to put the block on their page. You could probably have some sort of plugin or
modification add the block automatically to all users and make sure it's not removed.

#5 - 2013-03-17 19:15 - Ivan Cenov

There is a plugin that shows the assigned issues on the user page (not profile page): https:/github.com/klausmeyer/redmine_user_issues

Example:
http://redmine.ourcompany.com/users/3

#6 - 2013-03-17 20:28 - Daniel Felix
- Category changed from Documentation to Issues planning

- Target version set to Candidate for next major release

Yes this could be solved by a plugin but this seems to be a good addition to the core as this would help to get a much better overview over the current
workload of a user.

Maybe this could be a release candidate?

#7 - 2013-03-18 20:15 - Ivan Cenov

You are right, this is very common practice, to see what is going on with some user (the boss or PM wants to see project members do). Well this
plugin, expanded with more information could be core feature.

#8 - 2015-07-26 07:01 - Go MAEDA
- File link-to-issues.png added
- File feature-3398-link-to-issues.diff added

How about this patch to user's profile?

You can understand how many issues the user have reported or is assigned. And you can see issues list by cliking "Assigned issues" or "Reported
issues" label.

link-to-issues.png

#9 - 2015-07-26 07:02 - Go MAEDA
- Related to Patch #19548: Add link to reported issues on users's profile page added

#10 - 2015-07-26 14:59 - Go MAEDA

- Target version changed from Candidate for next major release to 3.2.0

#11 - 2015-10-21 18:27 - Jean-Philippe Lang

- Subject changed from List assigned issues to the specified user to Link to assigned issues on user profiles
- Category changed from Issues planning to Issues

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed in r14717.

#12 - 2016-01-11 06:00 - Go MAEDA

- Related to Feature #8153: List assigned issues in user profile page added

#13 - 2017-06-01 01:01 - Mischa The Evil

- Related to Defect #26078: List of issues per assignee doesn't match in profile added

#14 - 2019-02-11 08:36 - Go MAEDA
https://www.redmine.org/projects/redmine/wiki/PluginStuffToDo
https://github.com/klausmeyer/redmine_user_issues
http://redmine.ourcompany.com/users/3
https://www.redmine.org/projects/redmine/repository/svn/revisions/14717

- Related to Defect #3835: user account page should only show reported issues count for those projects which the current user can access added
